//PassMark 
//Copyright 2004-2015
//
//	bitsetup.cpp
//
//Program:     MemTest
//Author:      Ian Robinson
//Module:      bitsetup.cpp
//Description:  
//	A demostration program that creates a burnintest sub-script.
//	ie. a file of BurnInTest script commands that are executed when BurnInTest start up.
//	Only SETxyz commands are allowed in a sub-script
//
//History
//  4-May-15:			Updated for VS2013
//	23-September-04:	Corrected bug where the bit-script-input.txt file was placed in the current directory, rather than the bitsetup.exe directory
//  6-September-04:		Module created
//
#pragma warning(disable : 4996)	//Disable CRT insecure warnings

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

#include <Windows.h>
#include <stdio.h>

#define	MAXDIRNAME					300
#define	MAXFILENAME					100


//
//Entry point
//	Expects no command parameters

int main (int argc, char *argv[]) {

	char	fullpath[MAXFILENAME + MAXDIRNAME];	//Work area, temp var
	FILE	*fpSubScriptFile;

	//Get the applications directory
	GetModuleFileName (NULL, fullpath, sizeof(fullpath));
	*strrchr (fullpath, '\\') = '\0';
	strcat (fullpath, "\\bit-script-input.txt");

	// Open the subscript file
	fpSubScriptFile = fopen (fullpath,"wt");
	if (fpSubScriptFile == NULL) 						// error opening file  
	{
		//Handle error
		//...
		printf ("ERROR: TEST SUB-SCRIPT FILE NOT WRITTEN\n");
		Sleep(2000);


		return (-1);
	}

	//Write BurnInTest scripting commands out to the "Sub-Script" file
	fprintf (fpSubScriptFile ,"SETSERIAL \"1234-shdfgdhs-GHGHG\"\n");
	fprintf (fpSubScriptFile ,"SETMACHINETYPE \"Dell XPS800\"\n");
	fprintf (fpSubScriptFile ,"SETNOTES \"Test notes defined by the external application.\"\n");
	fprintf (fpSubScriptFile ,"SETLOG \"\\Program Files\\Plugin\\plugin_log\"\n");

	// Close the subscript file
	fclose (fpSubScriptFile);

	printf ("TEST SUB-SCRIPT FILE WRITTEN: %s\n",fullpath);
	Sleep(1000);

	return (0);
}
